QwtLog10ScaleEngine(3)

NAME
QwtLog10ScaleEngine -

A scale engine for logarithmic (base 10) scales.

SYNOPSIS

#include <qwt_scale_engine.h>

Inherits QwtScaleEngine.

  Public Types
enum Attribute { NoAttribute = 0, IncludeReference = 1, Symmetric = 2, Floating = 4, Inverted = 8 }

  Public Member Functions
int attributes () const
virtual void autoScale (int maxSteps, double &x1, double &x2, double &stepSize) const
virtual QwtScaleDiv divideScale (double x1, double x2, int numMajorSteps, int numMinorSteps, double stepSize=0.0) const
double lowerMargin () const
double reference () const
void setAttribute (Attribute, bool on=true)
void setAttributes (int)
void setMargins (double lower, double upper)
void setReference (double reference)
bool testAttribute (Attribute) const
virtual QwtScaleTransformation * transformation () const
double upperMargin () const

  Protected Member Functions
QwtDoubleInterval buildInterval (double v) const
bool contains (const QwtDoubleInterval &, double val) const
double divideInterval (double interval, int numSteps) const
QwtDoubleInterval log10 (const QwtDoubleInterval &) const
QwtDoubleInterval pow10 (const QwtDoubleInterval &) const
QwtValueList strip (const QwtValueList &, const QwtDoubleInterval &) const

Detailed Description

A scale engine for logarithmic (base 10) scales. The step size is measured in *decades* and the major step size will be adjusted to fit the pattern $re n is a natural number including zero.

Warning:
    the step size as well as the margins are measured in *decades*.

Member Enumeration Documentation

  enum QwtScaleEngine::Attribute [inherited] .IP • 2
IncludeReference
 Build a scale which includes the reference() value.

•   Symmetric
     Build a scale which is symmetric to the reference() value.

•   Floating
     The endpoints of the scale are supposed to be equal the outmost included values plus the specified margins (see setMargins()). If this attribute is *not* set, the endpoints of the scale will be integer multiples of the step size.

•   Inverted
     Turn the scale upside down.

See also:
    setAttribute(), testAttribute(), reference(), lowerMargin(), upperMargin()

Member Function Documentation

  int QwtScaleEngine::attributes () const [inherited] Return the scale attributes

See also:
    Attribute, setAttributes(), testAttribute()

  void QwtLog10ScaleEngine::autoScale (intmaxNumSteps, double &x1, double &x2, double &stepSize) const [virtual] Align and divide an interval

Parameters:
    maxNumSteps Max. number of steps
    x1 First limit of the interval (In/Out)
    x2 Second limit of the interval (In/Out)
    stepSize Step size (Out)

See also:
    QwtScaleEngine::setAttribute()

Implements QwtScaleEngine.

  QwtDoubleInterval QwtScaleEngine::buildInterval (doublev) const [protected, inherited]

Build an interval for a value. In case of v == 0.0 the interval is [-0.5, 0.5], otherwide it is [0.5 * v, 1.5 * v]

  bool QwtScaleEngine::contains (const QwtDoubleInterval &interval, doublevalue) const [protected, inherited] Check if an interval 'contains' a value

Parameters:
    interval Interval
    value Value

See also:
    QwtScaleArithmetic::compareEps()

  double QwtScaleEngine::divideInterval (doubleintervalSize, intnumSteps) const [protected, inherited] Calculate a step size for an interval size

Parameters:
    intervalSize Interval size
    numSteps Number of steps

Returns:
    Step size

  QwtScaleDiv QwtLog10ScaleEngine::divideScale (doublex1, doublex2, intmaxMajSteps, intmaxMinSteps, doublestepSize = 0.0) const [virtual]

Calculate a scale division. Parameters:
    x1 First interval limit
    x2 Second interval limit
    maxMajSteps Maximum for the number of major steps
    maxMinSteps Maximum number of minor steps
    stepSize Step size. If stepSize == 0, the scaleEngine calculates one.

See also:
    QwtScaleEngine::stepSize(), QwtLog10ScaleEngine::subDivide()

Implements QwtScaleEngine.

  QwtDoubleInterval QwtLog10ScaleEngine::log10 (const QwtDoubleInterval &interval) const [protected] Return the interval [log10(interval.minValue(), log10(interval.maxValue]

  double QwtScaleEngine::lowerMargin () const [inherited] Returns:
    the margin at the lower end of the scale The default margin is 0.

See also:
    setMargins()

  QwtDoubleInterval QwtLog10ScaleEngine::pow10 (const QwtDoubleInterval &interval) const [protected] Return the interval [pow10(interval.minValue(), pow10(interval.maxValue]

  double QwtScaleEngine::reference () const [inherited] Returns:
    the reference value

See also:
    setReference(), setAttribute()

  void QwtScaleEngine::setAttribute (Attributeattribute, boolon = true) [inherited] Change a scale attribute

Parameters:
    attribute Attribute to change
    on On/Off

See also:
    Attribute, testAttribute()

  void QwtScaleEngine::setAttributes (intattributes) [inherited] Change the scale attribute

Parameters:
    attributes Set scale attributes

See also:
    Attribute, attributes()

  void QwtScaleEngine::setMargins (doublelower, doubleupper) [inherited]

Specify margins at the scale's endpoints. Parameters:
    lower minimum distance between the scale's lower boundary and the smallest enclosed value
    upper minimum distance between the scale's upper boundary and the greatest enclosed value

Margins can be used to leave a minimum amount of space between the enclosed intervals and the boundaries of the scale.

Warning:
    •   QwtLog10ScaleEngine measures the margins in decades.
See also:
    upperMargin(), lowerMargin()

  void QwtScaleEngine::setReference (doubler) [inherited]
Specify a reference point. Parameters:
    r new reference value
The reference point is needed if options IncludeReference or Symmetric are active. Its default value is 0.0.
See also:
    Attribute

  QwtValueList QwtScaleEngine::strip (const QwtValueList &ticks, const QwtDoubleInterval &interval) const [protected, inherited] Remove ticks from a list, that are not inside an interval
Parameters:
    ticks Tick list
    interval Interval
Returns:
    Stripped tick list

  bool QwtScaleEngine::testAttribute (Attributeattribute) const [inherited] Check if a attribute is set.
Parameters:
    attribute Attribute to be tested
See also:
    Attribute, setAttribute()

  QwtScaleTransformation * QwtLog10ScaleEngine::transformation () const [virtual] Return a transformation, for logarithmic (base 10) scales
Implements QwtScaleEngine.

  double QwtScaleEngine::upperMargin () const [inherited] Returns:
    the margin at the upper end of the scale The default margin is 0.
See also:
    setMargins()

Author
Generated automatically by Doxygen for Qwt User's Guide from the source code.